| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SimpleProperty< TYPE, VERIFIER > Class Template Reference

`#include <GaudiKernel/Property.h>`

Inheritance diagram for SimpleProperty< TYPE, VERIFIER >:

[legend]
Collaboration diagram for SimpleProperty< TYPE, VERIFIER >:

[legend]
List of all members.

## Detailed Description

### template<class TYPE, class VERIFIER = BoundedVerifier<TYPE>>
class SimpleProperty< TYPE, VERIFIER >

SimpleProperty concrete class which implements the full Property interface.

Author:
  Paul Maley

  CTDay

  Vanya BELYAEV ibelyaev@physics.syr.edu

Definition at line 458 of file Property.h.

## Public Member Functions
| SimpleProperty (VERIFIER verifier=VERIFIER())
| "Almost default" constructor from verifier
| SimpleProperty (const TYPE &value, VERIFIER verifier=VERIFIER())
| The constructor from the value and verifier (ATLAS needs it!).
| SimpleProperty (const std::string &name, const TYPE &value, VERIFIER verifier=VERIFIER())
| The constructor from the name, value and verifier.
template<class OTHER>
| SimpleProperty (const PropertyWithValue< OTHER > &right)
| constructor from other property type
| SimpleProperty (const SimpleProperty &right)
| copy constructor (must be!)
virtual | ~SimpleProperty ()
| virtual Destructor
virtual SimpleProperty * | clone () const
| implementation of Property::clone
SimpleProperty & | operator= (const TYPE &value)
| assignement form the value
template<class OTHER>
SimpleProperty & | operator= (const PropertyWithValue< OTHER > &right)
| assignement form the other property type

## Constructor & Destructor Documentation

template<class TYPE, class VERIFIER>

SimpleProperty< TYPE, VERIFIER >::SimpleProperty | ( | VERIFIER | verifier = `VERIFIER()` | ) |

"Almost default" constructor from verifier

Definition at line 494 of file Property.h.

Referenced by SimpleProperty< TYPE, VERIFIER >::clone().

    00495   : PropertyWithVerifier<TYPE,VERIFIER>
    00496 ( "" , new TYPE() , true , verifier )
    00497 {}

template<class TYPE, class VERIFIER>

SimpleProperty< TYPE, VERIFIER >::SimpleProperty | ( | const TYPE & | value,
|  | VERIFIER | verifier = `VERIFIER()` |
| ) |  |  |

The constructor from the value and verifier (ATLAS needs it!).

Definition at line 503 of file Property.h.

    00505   : PropertyWithVerifier<TYPE,VERIFIER>
    00506 ( "" , new TYPE(value) , true , verifier )
    00507 {}

template<class TYPE, class VERIFIER>

SimpleProperty< TYPE, VERIFIER >::SimpleProperty | ( | const std::string & | name,
|  | const TYPE & | value,
|  | VERIFIER | verifier = `VERIFIER()` |
| ) |  |  |

The constructor from the name, value and verifier.

Definition at line 513 of file Property.h.

    00516   : PropertyWithVerifier<TYPE,VERIFIER>
    00517 ( name , new TYPE(value) , true , verifier )
    00518 {}

template<class TYPE, class VERIFIER>
template<class OTHER>

SimpleProperty< TYPE, VERIFIER >::SimpleProperty | ( | const PropertyWithValue< OTHER > & | right | ) |

constructor from other property type

Definition at line 525 of file Property.h.

    00526   : PropertyWithVerifier<TYPE,VERIFIER>
    00527 ( right.name() , new TYPE( right.value() ) , true , VERIFIER() )
    00528 {}

template<class TYPE, class VERIFIER>

SimpleProperty< TYPE, VERIFIER >::SimpleProperty | ( | const SimpleProperty< TYPE, VERIFIER > & | right | ) |

copy constructor (must be!)

Definition at line 534 of file Property.h.

    00535   : PropertyWithVerifier<TYPE,VERIFIER>
    00536 ( right.name() , new TYPE( right.value() ) , true , right.verifier() )
    00537 {}

template<class TYPE, class VERIFIER>

SimpleProperty< TYPE, VERIFIER >::~SimpleProperty | ( |  | ) | `[virtual]`

virtual Destructor

Definition at line 542 of file Property.h.

    00542 {}

## Member Function Documentation

template<class TYPE, class VERIFIER>

SimpleProperty< TYPE, VERIFIER > * SimpleProperty< TYPE, VERIFIER >::clone | ( |  | ) | const`[inline, virtual]`

implementation of Property::clone

Implements Property.

Definition at line 549 of file Property.h.

References SimpleProperty< TYPE, VERIFIER >::SimpleProperty().

    00550 { return new SimpleProperty(*this) ; }

template<class TYPE, class VERIFIER>

SimpleProperty< TYPE, VERIFIER > & SimpleProperty< TYPE, VERIFIER >::operator= | ( | const TYPE & | value | ) | `[inline]`

assignement form the value

Reimplemented from PropertyWithVerifier< TYPE, VERIFIER >.

Definition at line 557 of file Property.h.

References PropertyWithVerifier< TYPE, VERIFIER >::operator=().

    00558 {
    00559   PropertyWithVerifier<TYPE,VERIFIER>::operator=( value );
    00560   return *this ;
    00561 }

template<class TYPE, class VERIFIER>
template<class OTHER>

SimpleProperty< TYPE, VERIFIER > & SimpleProperty< TYPE, VERIFIER >::operator= | ( | const PropertyWithValue< OTHER > & | right | ) | `[inline]`

assignement form the other property type

Reimplemented from PropertyWithVerifier< TYPE, VERIFIER >.

Definition at line 570 of file Property.h.

    00571 {
    00572   PropertyWithVerifier<TYPE,VERIFIER>::operator=( right );
    00573   return *this ;
    00574 }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Property.h